%{?nodejs_find_provides_and_requires}

%global packagename browserify-des
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.0
Release: 1%{?dist}.3
Summary: DES for browserify
License: MIT
URL: https://github.com/crypto-browserify/browserify-des#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(cipher-base) >= 1.0.1
BuildRequires: npm(cipher-base) < 2.0.0
BuildRequires: npm(des.js) >= 1.0.0
BuildRequires: npm(des.js) < 2.0.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.2.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
DES for browserify



%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-2
- Fix Summary.
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
